org.apache.solr.common.cloud.rule

## Class ImplicitSnitch

- java.lang.Object
- - org.apache.solr.common.cloud.rule.Snitch
  - - org.apache.solr.common.cloud.rule.ImplicitSnitch

-     public class ImplicitSnitch
      extends Snitch

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `CORES`
    `static String` | `DISK`
    `static String` | `HOST`
    `static Pattern` | `hostAndPortPattern`
    `static List<String>` | `IP_SNITCHES`
    `static String` | `NODE`
    `static String` | `PORT`
    `static String` | `ROLE`
    `static String` | `SYSPROP`
    `static Set<String>` | `tags`

    - ### Fields inherited from class org.apache.solr.common.cloud.rule.Snitch

      `WELL_KNOWN_SNITCHES`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ImplicitSnitch()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getHostIp(String host)`
    `void` | `getTags(String solrNode, Set<String> requestedTags, SnitchContext ctx)`
    `boolean` | `isKnownTag(String tag)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### hostAndPortPattern

          public static final Pattern hostAndPortPattern

    - #### NODE

          public static final String NODE

      See Also:
        Constant Field Values

    - #### PORT

          public static final String PORT

      See Also:
        Constant Field Values

    - #### HOST

          public static final String HOST

      See Also:
        Constant Field Values

    - #### CORES

          public static final String CORES

      See Also:
        Constant Field Values

    - #### DISK

          public static final String DISK

      See Also:
        Constant Field Values

    - #### ROLE

          public static final String ROLE

      See Also:
        Constant Field Values

    - #### SYSPROP

          public static final String SYSPROP

      See Also:
        Constant Field Values

    - #### IP_SNITCHES

          public static final List<String> IP_SNITCHES

    - #### tags

          public static final Set<String> tags

  - ### Constructor Detail

    - #### ImplicitSnitch

          public ImplicitSnitch()

  - ### Method Detail

    - #### getTags

          public void getTags(String solrNode,
                              Set<String> requestedTags,
                              SnitchContext ctx)

      Specified by:
        `getTags` in class `Snitch`

    - #### isKnownTag

          public boolean isKnownTag(String tag)

      Specified by:
        `isKnownTag` in class `Snitch`

    - #### getHostIp

          public String getHostIp(String host)

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.